JAXB v2.2.4

## javax.xml.bind.annotation
Annotation Type XmlNs

    @Retention(value=RUNTIME)
    @Target(value={})
    public @interface XmlNs

Associates a namespace prefix with a XML namespace URI.

Usage

`@XmlNs` annotation is intended for use from other program annotations.

See "Package Specification" in javax.xml.bind.package javadoc for additional common information.

Example:See `XmlSchema` annotation type for an example.

Since:
  JAXB2.0
Author:
  Sekhar Vajjhala, Sun Microsystems, Inc.

Required Element Summary
`String` `namespaceURI` Namespace URI
`String` `prefix` Namespace prefix

Element Detail

### prefix

    public abstract String prefix

  Namespace prefix

### namespaceURI

    public abstract String namespaceURI

  Namespace URI

JAXB v2.2.4

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle